Monday, 1 February 2021

Elasticsearch Error: Format version is not supported



When I downgraded Elasticsearch 7.10 to 7.6, I was not able to restart the elasticsearch service and was facing these errors:



and 



After diagnosing the issue and going through a number of web URLs, I come to know that the following line in the elasticsearch.yml file will fix my issue.


cluster.initial_master_nodes: ["x.x.x.x"]


OR 


cluster.initial_master_nodes: master-node-a    


I hope it will help someone and save their time too.


Thanks!!! Enjoy Programming!! :)